<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=0" />
    <link rel="stylesheet" href="https://res.wx.qq.com/open/libs/weui/2.4.0/weui.min.css">
    <link href="/static/css/public/reset.css" rel="stylesheet" />
    <link href="/static/css/public/public.css" rel="stylesheet" />
    <script src="/static/js/public/reset.js"></script>
    <link href="/static/100290/css/main.css" rel="stylesheet" />
    <title>东方天华 (吉林) 生物医药有限公司</title>
</head>

<body style="">
    <div class="page__bd">
        <div class="weui-tab">
            <div class="fwcx page">
                <div class="div1">
                    <div class="bk"
                        style="background:url(/static/100290/img/1bj.png);background-size:100%;z-index:2;height:100%">
                        <img src="/static/100290/img/1.png" style="width:30%;" />

                        <div style="text-align:center;padding:2rem 0 1rem">
                            <img src="/static/100290/img/2.png" style="width:50%" />
                        </div>
                        <div style="text-align:center;padding-bottom:5rem">
                            <img src="/static/100290/img/no.png" style="width: 2.2rem;">
                            <span id="no">000000</span>
                            <img src="/static/100290/img/ping.png" style="width: 1.2rem;">
                        </div>
                        <div style="display:flex;justify-content: space-between;">
                            <div style="font-size: .45rem; color: rgb(110, 19, 24);display: flex;align-items: center;justify-content: center;">
                                <img src="/static/100290/img/dian.png" style="width:.5rem;margin-right: .1rem;" /> <span>新鲜的营养</span>
                            </div>
                            <div style="font-size: .45rem; color: rgb(110, 19, 24);display: flex;align-items: center;justify-content: center;">
                                <img src="/static/100290/img/dian.png" style="width:.5rem;margin-right: .1rem;" /> <span>活性的营养</span>
                            </div>
                            <div style="font-size: .45rem; color: rgb(110, 19, 24);display: flex;align-items: center;justify-content: center;">
                                <img src="/static/100290/img/dian.png" style="width:.5rem;margin-right: .1rem;" /> <span>小分子营养</span>
                            </div>
                            <div style="font-size: .45rem; color: rgb(110, 19, 24);display: flex;align-items: center;justify-content: center;">
                                <img src="/static/100290/img/dian.png" style="width:.5rem;margin-right: .1rem;" /> <span>无腐败霉菌</span>
                            </div>
                        </div>
                        <div class="hr">
                        </div>
                        <div style="font-size: .7rem; color: rgb(110, 19, 24)">
                            <div style="padding:.5rem 0 1rem">
                                <p>产品名称：</p>
                                <p>金荣草.梅花鹿鹿鞭固形酒</p>
                            </div>
                            <div>
                                <p>发货目的地：<span id="fh"></span></p>
                                <p>东方天华 (吉林) 生物医药</p>
                                <p>有限公司</p>
                            </div>
                        </div>
                        <img src="/static/100290/img/3.png" style="width:30%" class="footer" />

                    </div>
                </div>
            </div>
            <div class="qyjs page">
                <div class="div1">
                    <div class="bk" style="height:100%;padding: 0;">
                        <img src="/static/100290/img/cpjsnr.jpg" style="width: 100%;">
                    </div>
                </div>
            </div>
            <div class="lxwm page">
                <div class="div1">
                    <div
                        style="background:url(/static/100290/img/ppjsnr.png);background-size:100%;background-repeat: no-repeat;z-index:2;height:100%;position: relative;">
                        <div
                            style="font-size:.5rem;position:absolute;top:13rem;bottom:0;left:0;text-align: justify;overflow:scroll;">
                            <p style="padding-left:.5rem;padding-right:2rem;font-size: .65rem;font-weight: 600;margin: .5rem 0;">东方天华 (吉林) 生物医药有限公司</p>
                            <p style="padding-left:.5rem;padding-right:2rem">
                                东方天华（吉林）企业集团是一家集生物医药、地产、商业、酒店旅游、畜牧养殖等五大产业于一体的多元化大型企业集团，旗下拥有东方天华（吉林）生物医药有限公司、佰世隆（吉林）房屋开发置业有限公司、吉林金池梅花鹿温泉酒店有限公司等多家公司，总部位于吉林省辽源市东丰县，占地10万平方米，地上建筑物8.6万平米，注册资金为5000万人民币，固定资产达3亿元。
                            </p>
                            <br>
                            <p style="padding-left:.5rem;padding-right:2rem">
                                东方天华（吉林）企业集团与吉林省辽源市东丰县人民政府达成战略合作 ——
                                投资“东丰国际梅花鹿产业创投园区”,布局梅花鹿生态全产业链，为东丰县、辽源市，乃至吉林省的经济发展，注入新动力 !
                            </p>
                        </div>

                    </div>
                </div>
            </div>
            <div class="tabbar">
                <div class="weui-tabbar">
                    <div id="cx" class="weui-tabbar__item weui-bar__item_on">
                        <div class="weui-tabbar__icon">
                            <img src="/static/100290/img/wlcx1.png" class="yellow" />
                            <img src="/static/100290/img/wlcx.png" class="white" />
                        </div>
                        <p class="weui-tabbar__label" style="padding-left:.2rem;">物流查询</p>
                    </div>
                    <div id="qy" class="weui-tabbar__item">
                        <div class="weui-tabbar__icon">
                            <img src="/static/100290/img/cpjs.png " class="white" />
                            <img src="/static/100290/img/cpjs1.png" class="yellow" />
                        </div>
                        <p class="weui-tabbar__label" style="padding-left:.2rem;">产品介绍</p>
                    </div>
                    <div id="lx" class="weui-tabbar__item">
                        <div class="weui-tabbar__icon">
                            <img src="/static/100290/img/ppjs.png" class="white" />
                            <img src="/static/100290/img/ppjs1.png" class="yellow" />
                        </div>
                        <p class="weui-tabbar__label" style="padding-left:.2rem;">品牌介绍</p>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script src="https://res.wx.qq.com/open/libs/weuijs/1.2.1/weui.min.js"></script>
    <script type="text/javascript" src="https://res2.wx.qq.com/open/js/jweixin-1.6.0.js"></script>
    <script src="/static/js/jquery-2.1.0.min.js"></script>
    <script src="/static/js/public/public.js"></script>
    <script>

        tj_public.showLoading();
        // tj_public.hideLoading();
        var uid = tj_public.getCookie('TJWX_consumer_id');
        var label_code = tj_public.getCookie('label_code');
        tj_public.wxInit({
            wx_officail_account_id: 6,
            url: window.location.href
        })

        // label_code = "112901853166";
        var no = parseInt(label_code.substring(0, 11)) - 11290179322;
        if (no >= 40 && no < 50 && no != 44) {
            no = no + 6628;
            if (no == 6674) {
                no = 6672;
            }
        }
        else if (no % 10 == 4) {
            let i = Math.floor(no / 10) + 1;
            if (i % 10 == 4) {
                i = Math.floor(i / 10) + 1;
                if (i % 10 == 4) {
                    i = Math.floor(i / 10) + 1;
                    if (i % 10 == 4) {
                        i = Math.floor(i / 10) + 1;
                        no = 6666 + i;
                    }
                    else { no = 6660 + i };
                }
                else { no = 6600 + i };
            }
            else { no = 6000 + i; }
        }


        var no_s = "";
        if (no <= 0) {
            alert('数据丢失！');
        }
        else if (no < 10) {
            no_s = '00000' + no;
        }
        else if (no < 100) {
            no_s = '0000' + no;
        }
        else if (no < 1000) {
            no_s = '000' + no;
        }
        else if (no <= 6677) {
            no_s = '00' + no;
        }
        else {
            alert('数据丢失！');
        }
        $('#no').text(no_s);

        $(function () {

            wx.ready(function () {
                if (uid) {
                    tj_public.getAddress(function (lat, lng) {
                        getInfo(lat, lng)
                    })
                    var uuid = tj_public.getUuid(8, 16);
                }
            })
            wx.error(function (res) {
                if (uid) {
                    getInfo(0, 0);
                }
            });


            // getInfo(0, 0)
            function getInfo(lat, lng) {
                $.ajax({
                    url: '/wx/label/scan_record/',
                    data: { lat: lat, lng: lng, uid: uid, compid: 100290, fwcode: label_code, contents: 1 },
                    success: function (res) {
                        if (res.e === '') {
                            tj_public.hideLoading();
                            $("#labelImg").attr("src", res.img);
                            $("#cpidSpan").text(res.code);
                            if (res.bcode) {
                                $("#cpidSpan").text(res.bcode);
                            }
                            $("#queryNum").text(res.cnt);
                            if (res.tm_1st) {
                                $("#firstTime").text(res.tm_1st);
                            }
                            else {
                                var myDate = new Date();
                                $("#firstTime").text(myDate.toLocaleString());
                            }

                            var inventory = res.inventory.filter(function (f) {
                                return f.voucher_type === '销售出库' && f.company_id === 100290
                            })
                            if (inventory.length > 0) {
                                if (inventory[0].to_company != "") {
                                    $("#fh").text(inventory[0].to_company)
                                }
                            }

                        } else {
                            alert('网络超时！')
                        }
                    }, error: function () {
                        alert('网络超时！')
                    }
                })
            }

            $('.weui-tabbar__item').on('click', function () {
                $(this).addClass('weui-bar__item_on').siblings('.weui-bar__item_on').removeClass('weui-bar__item_on');
                $('.page').hide();
                document.body.scrollTop = document.documentElement.scrollTop = 0;
                $('.page').animate({ scrollTop: 0 });
            });
            $('#cx').on('click', function () {
                $('.fwcx').show();
            });
            $('#qy').on('click', function () {
                $('.qyjs').show();
            });
            $('#lx').on('click', function () {
                $('.lxwm').show();
            });


        });
    </script>
</body>

</html>